- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# FUParameterizable Class Reference
[Utility Classes.]

A trackable object which contains parameters. More...

`#include <FUParameterizable.h>`

Inheritance diagram for FUParameterizable:

List of all members.

## Public Member Functions
| DeclareFlag (Dirty, 0)
| [EXPERIMENTAL] Generic Dirty Flag.
| DeclareFlag (ValueChanged, 1)
| [EXPERIMENTAL] The value of a member has been changed.
| DeclareFlag (StructureChanged, 2)
| [EXPERIMENTAL] The structure of this object has changed.
| DeclareFlagCount (3)
| This class declares three flags.
| FUParameterizable ()
| Constructor.
virtual | ~FUParameterizable ()
| Destructor.
void | SetFlag (uint32 f, bool value)
| Changes the value of one or more flags to a given value.
void | SetFlag (uint32 f)
| Sets the value of one or more flags.
uint32 | TestFlag (uint32 f) const
| Retrieves the value of one or more flags.
void | ClearFlag (uint32 f)
| Resets the value of one or more flags.
virtual void | SetValueChange ()
| Value change notification.
## Protected Attributes
uint32 | flags
| A generic flag container.

## Detailed Description

A trackable object which contains parameters.

Having a generic object that contains a generic parameter structure has many applications to improve user interfaces coding and maintenance, including simple edition, undo/redo, animation authoring.

See also:
  The generic FCollada parameter interface., FCDParameterAnimatable

## Member Function Documentation

void FUParameterizable::ClearFlag | ( | uint32 | f | ) | `[inline]`

  | Resets the value of one or more flags. When a flag is reset, its value is 0. Parameters:
  | f | The mask of the flag(s) to reset.

FUParameterizable::DeclareFlag | ( | StructureChanged | ,
|  | 2 |
| ) |

| [EXPERIMENTAL] The structure of this object has changed. Examples: 1. The effect of a material is changed. 2. A new transform is added to the scene node. 3. An effect parameter is removed from the effect's technique.

FUParameterizable::DeclareFlag | ( | ValueChanged | ,
|  | 1 |
| ) |

| [EXPERIMENTAL] The value of a member has been changed. Examples: 1. the diffuse color changes from black to red. 2. The translation vector changes from {0,3,2} to {5,2,1}.

FUParameterizable::DeclareFlag | ( | Dirty | ,
|  | 0 |
| ) |

| [EXPERIMENTAL] Generic Dirty Flag. Should be removed in future versions.

void FUParameterizable::SetFlag | ( | uint32 | f | ) | `[inline]`

  | Sets the value of one or more flags. When a flag is set, its value is 1. Parameters:
  | f | The mask of the flag(s) to set.

void FUParameterizable::SetFlag | ( | uint32 | f,
|  | bool | value
| ) | `[inline]`

  | Changes the value of one or more flags to a given value. Parameters:
  | f | The mask of the flag(s) to set.
  | value | The value to give these flags.

uint32 FUParameterizable::TestFlag | ( | uint32 | f | ) | const`[inline]`

  | Retrieves the value of one or more flags. Parameters:
  | f | The mask of the flag(s) to retrieve.
Returns: The value of the requested flags.

## Member Data Documentation

uint32 FUParameterizable::flags`[protected]`

| A generic flag container. Contains notifications of object state.

The documentation for this class was generated from the following file:

- FUtils/FUParameterizable.h